summaryrefslogtreecommitdiffstats
path: root/hooks/encrypt
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/encrypt')
-rw-r--r--hooks/encrypt17
1 files changed, 17 insertions, 0 deletions
diff --git a/hooks/encrypt b/hooks/encrypt
new file mode 100644
index 0000000..8b4c80b
--- /dev/null
+++ b/hooks/encrypt
@@ -0,0 +1,17 @@
+# vim: set ft=sh:
+run_hook ()
+{
+ echo ""
+ echo "A password is required to access the root filesystem:"
+ echo -n "password: "
+ if /bin/cryptsetup.static isLuks ${root} >/dev/null 2>&1; then
+ /bin/cryptsetup.static luksOpen ${root} root
+ else
+ /bin/cryptsetup create root ${root}
+ fi
+
+ if [ $? != 0 ]; then
+ echo "ERROR: Password Verification Failed"
+ exit 1
+ fi
+}